name: photogram
description: Photogram, A Photo Sharing Network.

publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: ">=3.2.3 <4.0.0"


dependencies:
  flutter:
    sdk: flutter
  
  # localization
  intl: ^0.18.1
  flutter_localizations: 
    sdk: flutter
    version: ^0.0.0

  # testing
  test: ^1.17.12
  integration_test: 
    sdk: flutter
    version: ^0.0.0

  # app specific 
  http: ^1.1.2
  uuid: ^4.2.1
  tuple: ^2.0.0
  timeago: ^3.1.0
  sprintf: ^7.0.0
  cropperx: ^1.1.1
  photo_view: ^0.14.0
  flutter_svg: ^2.0.9
  url_launcher: ^6.0.20
  image_picker: ^1.0.4
  path_provider: ^2.0.8
  flare_flutter: ^3.0.2
  simple_tooltip: ^1.0.0
  carousel_slider: ^4.0.0
  cupertino_icons: ^1.0.2
  shared_preferences: ^2.0.13
  font_awesome_flutter: ^10.6.0
  cached_network_image: ^3.2.0
  lazy_load_indexed_stack: ^1.0.1
  scrollable_positioned_list: ^0.3.8
  material_design_icons_flutter: ^7.0.7296


# to be used only in development mode
dev_dependencies:
  flutter_lints: ^3.0.1
  flutter_launcher_icons:
    git:
      url: https://github.com/Davenchy/flutter_launcher_icons.git
      ref: fixMinSdkParseFlutter2.8

  flutter_test:
    sdk: flutter


# flutter assets
flutter:

  # code generation for localization
  generate: true

  uses-material-design: true

  # main assets
  assets:
    - assets/png/
    - assets/flare/
    - assets/svg/
    - assets/svg/bottom_nav/
    - assets/ca/

  # icons
  fonts:
    - family: HN
      fonts:
        - asset: assets/fonts/Helvetica-Neue/base.ttf
        - asset: assets/fonts/Helvetica-Neue/base-italic.otf
          style: italic
          weight: 500
        - asset: assets/fonts/Helvetica-Neue/zero.otf
          weight: 300
        - asset: assets/fonts/Helvetica-Neue/bold-italic.otf
          style: italic
          weight: 600
        - asset: assets/fonts/Helvetica-Neue/bold-x2-italic.otf
          style: italic
          weight: 700
        - asset: assets/fonts/Helvetica-Neue/bold-x3-italic.otf
          style: italic
          weight: 900
